Bug Hunting Session
Bug 70111 - CSV files to keep the original text delimiters and separators
Summary: CSV files to keep the original text delimiters and separators
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 71376 101173 (view as bug list)
Depends on:
Blocks: CSV
  Show dependency treegraph
 
Reported: 2013-10-04 04:56 UTC by oliver nadj
Modified: 2019-07-31 02:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description oliver nadj 2013-10-04 04:56:15 UTC
I think it would be useful if Spreadsheet editor can keep the original text delimiters and separators of CSV documents.

It is a related to this question: http://ask.libreoffice.org/en/question/23332/csv-files-lose-formatting-after-save/

People use CSV files to import/export records from different apps and hardware. These tools often do not prepared to handle different kind of formatting. I know it is possible with additional "Save As" steps but it is not user-friendly.
Comment 1 Pedro 2013-10-04 10:28:06 UTC
I agree that the default should be to keep the same field and text delimiters. If the user wants to change then it should be his/hers *option*, not a software decision.
Comment 2 Maxim Monastirsky 2013-11-08 08:16:32 UTC
*** Bug 71376 has been marked as a duplicate of this bug. ***
Comment 3 Urmas 2015-04-25 10:18:00 UTC
Files saved in this way become corrupted, so that is not just an 'enhancement'.
Comment 4 m.a.riosv 2016-07-28 22:27:57 UTC
*** Bug 101173 has been marked as a duplicate of this bug. ***
Comment 5 QA Administrators 2018-07-21 02:40:33 UTC Comment hidden (obsolete)
Comment 6 aljosha.papsch 2018-07-30 10:58:58 UTC
Yes, the issue persists to this day.

Version: 6.0.5.2
Build-ID: 6.0.5-1
CPU-Threads: 4; BS: Linux 4.17; UI-Render: Standard; VCL: gtk3; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group

Steps to reproduce:

1. Create a file test.csv with the contents:

foo;bar

2. Open the file in Calc, leaving the import settings untoched.
3. Write "baz" in A2, "quux" in B2.
4. Choose File | Save and confirm CSV format.

Expected file contents:

foo;bar
baz;quux

Actual file contents:

foo,bar
baz,quux
Comment 7 QA Administrators 2019-07-31 02:53:51 UTC
Dear oliver nadj,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug